Bug 13689 - Security lole in example file ./site/eg/source.asp
Security lole in example file ./site/eg/source.asp
Status: CLOSED NOTABUG
Product: Red Hat Secure Web Server
Classification: Retired
Component: perl-Apache-ASP (Show other bugs)
3.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 22:27 EDT by joshua
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-10 22:28:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2000-07-10 22:27:59 EDT
pre 1.95 Apache::ASP has a security hole it its example
./site/eg/source.asp script.  Please update Redhat with
latest source from CPAN ASAP.

=======

ANNOUNCE Apache::ASP v1.95 - Examples Security Hole Fixed

Apache::ASP < http://www.nodeworks.com/asp/ > had a security
hole in its ./site/eg/source.asp distribution examples file, 
allowing a malicious hacker to potentially write to files in 
the directory local to the source.asp example script.

The next version of Apache::ASP v1.95 going to CPAN will not
have this security hole in its example ./site/eg/source.asp
The general CHANGES for this release are below.  Note that 
CPAN may not have the 1.95 version for another 24 hours.

Until you have the latest examples, I would recommend deleting 
this source.asp file from any public web server that has 
Apache::ASP installed on it.

The original report on a similar perl open() bug was at ZDNet's eWeek
at http://www.zdnet.com/eweek/stories/general/0,11011,2600258,00.html
where a hacking contest at openhack.org turned up a bug on 
its minivend ecommerce software.

--Joshua Chamas

=item $VERSION = 1.95; $DATE="07/10/00";

 !!!!! EXAMPLES SECURITY BUG FOUND & FIXED !!!!!

 --FIXED: distribution example ./site/eg/source.asp now parses 
  out special characters of the open() call when reading local 
  files.

  This bug would allow a malicious user possible writing
  of files in the same directory as the source.asp script.  This
  writing exploit would only have effect if the web server user
  has write permission on those files.

  Similar bug announced by openhack.org for minivend software
  in story at: 
    http://www.zdnet.com/eweek/stories/general/0,11011,2600258,00.html

  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

 -$0 now set to transferred file, when using $Server->Transfer

 -Fix for XMLSubsMatch parsing on cases with 2 or more args passed
  to tag sub that was standalone like 
    <Apps:header type="header" title="Moo" foo="moo" />
Comment 1 Nalin Dahyabhai 2000-07-12 14:54:16 EDT
Not really a problem.  The indicated file is installed under /usr/doc,
now writable by the nobody user.
Comment 2 Nalin Dahyabhai 2000-07-12 14:54:38 EDT
Uh, NOT writable, not "now".

Note You need to log in before you can comment on or make changes to this bug.